<?php
/*
 * Copyright(C). D-cube,Inc. All Rights Reserved.
 */

/*
 * @file		common.php
 * @brief		共通処理
 * @date		2006.12.13
 */

// 全てのエラーを非表示
error_reporting(0);

// セッションスタート
session_start();

// 関数郡読み込み
require_once(SYSTEM_PATH."common/function.inc.php");

// 初期化処理読み込み
require_once(SYSTEM_PATH."common/init.php");

// ユーザ認証
require_once(CLASS_DIR."/auth/Authorize.class.php");
$auth = new Authorize();
if(($_POST["user"]) && ($_POST["pass"]))
	$auth->login($_POST["user"],$_POST["pass"]);

// phpinfo
require_once("./common/phpinfo.php");

// adodebug
require_once("./common/adodebug.php");

// smtdebug
require_once("./common/smtdebug.php");

// Smartyインスタンス生成
require_once(CLASS_DIR."/smarty/SmartyHelper.class.php");
$smarty = new SmartyHelper();

// 共通変数アサイン
$smarty->assign("BITCUBE_HELP",BITCUBE_HELP);
$smarty->assign("CURRENT_HTTP_SERVER",CURRENT_HTTP_SERVER);
$smarty->assign("TEMPLATE_DIR",CURRENT_HTTP_SERVER.MANAGER."/templates/".TEMPLATE);
